<template>
    <div class="container">
        <section>
            <b-field label="Username">
                <b-input maxlength="30" v-model="usr"></b-input>
            </b-field>
            <b-field label="Password">
                <b-input type="password" v-model="pwd"
                    password-reveal>
                </b-input>
            </b-field>
            <button class="button" @click="submit">Login</button>
        </section>
    </div>
</template>

<script>
    import axios from 'axios'
    import router from '../router'
    export default {
        name: 'Login',
        data() {
            return {
                usr: null,
                pwd:null
            }
        },
        methods: {
            async submit () {
                const user = this.usr
                console.log(this.usr)
                var bodyFormData = new FormData();
                bodyFormData.append('usr', this.usr);
                bodyFormData.append('pwd', this.pwd);
                bodyFormData.append('dev', 'browser1');
                const options = {
                    headers: {
                        'Access-Control-Allow-Origin': '*'
                    }
                }
                axios.post('https://juan.munggaran.com/API/login', bodyFormData, options).then(function (response) {
                  // console.log(response)
                  if(response.data.result == 403){
                    router.push({name: "login"});
                  }else{
                   localStorage.setItem('token', JSON.stringify(response.data.token))
                   localStorage.setItem('user', JSON.stringify(user))
                   localStorage.setItem('dev', JSON.stringify('browser1'))
                   router.push({name: "profile"});
                  }
                }).catch(function (error) {
                    if (error.response) {
                    // The request was made and the server responded with a status code
                    // that falls out of the range of 2xx
                    console.log(error.response.data);
                    console.log(error.response.status);
                    console.log(error.response.headers);
                    } else if (error.request) {
                    // The request was made but no response was received
                    // `error.request` is an instance of XMLHttpRequest in the browser and an instance of
                    // http.ClientRequest in node.js
                    console.log(error.request);
                    } else {
                    // Something happened in setting up the request that triggered an Error
                    console.log('Error', error.message);
                    }
                    console.log(error.config);
                });
            }
        }
    }
</script>